Interface OBSEndpointBuilderFactory.OBSBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- OBSEndpointBuilderFactory
public static interface OBSEndpointBuilderFactory.OBSBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default OBSEndpointBuilderFactory.OBSEndpointBuilderhwcloudObs(String path)Huawei Object Storage Service (OBS) (camel-huaweicloud-obs) To provide stable, secure, efficient, and easy-to-use cloud storage service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-obs Syntax:hwcloud-obs:operationPath parameter: operation (required) Operation to be performeddefault OBSEndpointBuilderFactory.OBSEndpointBuilderhwcloudObs(String componentName, String path)Huawei Object Storage Service (OBS) (camel-huaweicloud-obs) To provide stable, secure, efficient, and easy-to-use cloud storage service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-obs Syntax:hwcloud-obs:operationPath parameter: operation (required) Operation to be performed
-
-
-
Method Detail
-
hwcloudObs
default OBSEndpointBuilderFactory.OBSEndpointBuilder hwcloudObs(String path)
Huawei Object Storage Service (OBS) (camel-huaweicloud-obs) To provide stable, secure, efficient, and easy-to-use cloud storage service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-obs Syntax:hwcloud-obs:operationPath parameter: operation (required) Operation to be performed- Parameters:
path- operation- Returns:
- the dsl builder
-
hwcloudObs
default OBSEndpointBuilderFactory.OBSEndpointBuilder hwcloudObs(String componentName, String path)
Huawei Object Storage Service (OBS) (camel-huaweicloud-obs) To provide stable, secure, efficient, and easy-to-use cloud storage service on Huawei Cloud Category: cloud Since: 3.12 Maven coordinates: org.apache.camel:camel-huaweicloud-obs Syntax:hwcloud-obs:operationPath parameter: operation (required) Operation to be performed- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- operation- Returns:
- the dsl builder
-
-